MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028625Open CASCADE[OCCT] OCCT:Visualizationpublic2017-04-03 22:092017-04-14 14:28
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformiOSOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028625: Visualization, OpenGl_FrameBuffer - initialize Render Buffer with stencil
DescriptionWhen depth-texture creation fails, OpenGl_FrameBuffer::Init() fallbacks to Render Buffer having GL_DEPTH_COMPONENT16 storage.

This leads to artifacts within rendering algorithms requiring stencil buffer (e.g. capping within clipping planes).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0064879)
git (administrator)
2017-04-03 22:55

Branch CR28625 has been created by kgv.

SHA-1: f7c96a769b451aec6086588bfb9e2051e7ac45f6


Detailed log of new commits:

Author: kgv
Date: Mon Apr 3 22:53:17 2017 +0300

    0028625: Visualization, OpenGl_FrameBuffer - initialize Render Buffer with stencil
(0064880)
kgv (developer)
2017-04-03 22:55

Patch is ready for review.
(0064974)
apl (developer)
2017-04-06 12:28

Dear bugmaster,

Please test the patch.
(0065038)
mkv (tester)
2017-04-07 16:03

Dear BugMaster,
Branch CR28625 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: f7c96a769b451aec6086588bfb9e2051e7ac45f6

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91209858 / 91345443 [-0.15%]
Total CPU difference: 19870.1700000004 / 19613.25000000024 [+1.31%]
products component :
Total MEMORY difference: 30817239 / 30770563 [+0.15%]
Total CPU difference: 5487.329999999976 / 5358.419999999984 [+2.41%]
Testing on Windows:
occt component :
Total MEMORY difference: 57858040 / 57855806 [+0.00%]
Total CPU difference: 18604.866461198595 / 18063.40259029849 [+3.00%]
products component :
Total MEMORY difference: 22295370 / 22257195 [+0.17%]
Total CPU difference: 5423.1875637999765 / 5313.206858799958 [+2.07%]

There are no differences in images found by testdiff.
(0065039)
mkv (tester)
2017-04-07 16:03

Dear BugMaster,
Branch CR28625 is TESTED.

- Related Changesets
occt: master e473b95f
Timestamp: 2017-04-03 19:53:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028625: Visualization, OpenGl_FrameBuffer - initialize Render Buffer with stencil
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-03 22:09 kgv New Issue
2017-04-03 22:09 kgv Assigned To => kgv
2017-04-03 22:10 kgv Relationship added parent of 0028623
2017-04-03 22:52 kgv Summary Visualization, OpenGl_FrameBuffer - try initializing Render Buffer with stencil => Visualization, OpenGl_FrameBuffer - initialize Render Buffer with stencil
2017-04-03 22:55 git Note Added: 0064879
2017-04-03 22:55 kgv Note Added: 0064880
2017-04-03 22:55 kgv Assigned To kgv => san
2017-04-03 22:55 kgv Status new => resolved
2017-04-03 22:59 kgv Product Version 7.1.0 => 6.9.0
2017-04-06 11:53 kgv Assigned To san => apl
2017-04-06 12:28 apl Note Added: 0064974
2017-04-06 12:28 apl Assigned To apl => bugmaster
2017-04-06 12:28 apl Status resolved => reviewed
2017-04-06 12:56 mkv Assigned To bugmaster => mkv
2017-04-07 16:03 mkv Note Added: 0065038
2017-04-07 16:03 mkv Note Added: 0065039
2017-04-07 16:03 mkv Assigned To mkv => bugmaster
2017-04-07 16:03 mkv Status reviewed => tested
2017-04-07 16:03 mkv Test case number => Not needed
2017-04-14 14:28 bugmaster Changeset attached => occt master e473b95f
2017-04-14 14:28 bugmaster Status tested => verified
2017-04-14 14:28 bugmaster Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker